package com.its.safe.entity.safe;

import com.its.safe.dto.safe.TbReadCheckDto;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 전파 메시지 상황 정보 Entity Class
 */
@ApiModel("전파 메시지 상황 정보")
@Data
@Builder
public class TbReadCheck implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long seq;
    private Long messageSeq;
    private String systemId;
    private Timestamp requestTime;
    private Timestamp responseTime;

    public TbReadCheckDto toDto() {
        return TbReadCheckDto.builder()
                .seq(this.seq)
                .messageSeq(this.messageSeq)
                .systemId(this.systemId)
                .requestTime(this.requestTime)
                .responseTime(this.responseTime)
                .build();
    }

}
